# Generated by Django 3.2.14 on 2023-07-10 08:00

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        ('document', '0119_automatedweeklyrecapsetting'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConnectwiseOpportunityData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=250)),
                ('crm_id', models.PositiveIntegerField()),
                ('status_crm_id', models.PositiveIntegerField(null=True)),
                ('status_name', models.CharField(max_length=50, null=True)),
                ('stage_crm_id', models.PositiveIntegerField(null=True)),
                ('stage_name', models.CharField(max_length=50, null=True)),
                ('customer_po', models.CharField(blank=True, max_length=50, null=True)),
                ('customer_name', models.CharField(max_length=150)),
                ('customer_crm_id', models.PositiveIntegerField()),
                ('closed_date', models.DateTimeField(null=True)),
                ('last_crm_update', models.DateTimeField(null=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Client360DashboardSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('won_opp_status_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), default=list, size=None)),
                ('open_po_status_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), default=list, size=None)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='client360_setting', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
